Bug 975418 - SwitchYardServiceInvoker hides invocation errors for one-way services
SwitchYardServiceInvoker hides invocation errors for one-way services
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: David Ward
Jiri Pechanec
Depends On:
  Show dependency treegraph
Reported: 2013-06-18 08:39 EDT by Jiri Pechanec
Modified: 2014-06-16 19:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-06 10:26:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1826 Major Closed SwitchYardServiceInvoker hides invocation errors for one-way services 2014-06-16 19:53:23 EDT

  None (edit)
Description Jiri Pechanec 2013-06-18 08:39:02 EDT
In SwitchYardServiceInvoker method invoke()

If exception is thrown for e.g. missing reference and service is invoked in one-way scenario like from SwitchYardServiceChannel.send() then the information about error is lost and not logged anywhere.
Comment 1 Keith Babo 2013-06-18 08:49:05 EDT
This should not be the case in Alpha2 as the error logging and visibility was increased for one-way MEPs in SY 1.0.
Comment 2 Jiri Pechanec 2013-09-19 07:30:18 EDT
The issue is stll present - there should be a logging statement
Comment 3 Keith Babo 2013-09-19 07:34:00 EDT
Sorry, that's my fault.  For some reason, I thought this bug was about RemoteInvoker, not SwitchYardServiceInvoker.  Not sure how I messed that up.  My original comment regarding faults on one-way exchanges being logged by the bus is still true, but in this case it's not even making it to the bus.  I will have a look.
Comment 7 JBoss JIRA Server 2013-11-08 21:54:34 EST
David Ward <dward@jboss.org> made a comment on jira SWITCHYARD-1826


This was only really an issue for SwitchYardServiceChannels, as the only other user of the SwitchYardServiceInvoker is the SwitchYardServiceTaskHandler, and that already does fault logging.  So now they both do, using the same fault message formatting.
Comment 8 JBoss JIRA Server 2013-11-11 20:36:07 EST
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1826

Comment 9 Jiri Pechanec 2013-12-18 04:33:29 EST
Verified in ER7
Comment 10 JBoss JIRA Server 2014-06-16 19:53:23 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1826 to Closed

Note You need to log in before you can comment on or make changes to this bug.